unit MDIBASE;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs;

type
  TfmMDIBase = class(TForm)
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    procedure SetValue(Value: String);
  end;

var
  fmMDIBase: TfmMDIBase;
  DllApplication: TApplication;

implementation

{$R *.DFM}

procedure TfmMDIBase.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Action := caFree;
end;

procedure TfmMDIBase.FormCreate(Sender: TObject);
begin
  Top := 0;
  Left := 0;
end;

procedure TfmMDIBase.SetValue(Value: String);
begin
  Caption := ClassName + '/' + Value;
end;

initialization
  RegisterClass(TfmMDIBase);

finalization
  UnregisterClass(TfmMDIBase);

end.
