unit main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ActnList, Menus, ToolWin, ComCtrls;

type
  TfmMAIN = class(TForm)
    ActionList1: TActionList;
    MainMenu1: TMainMenu;
    actCreateForm: TAction;
    actMDIBase1: TMenuItem;
    File1: TMenuItem;
    ToolBar1: TToolBar;
    ComboBox1: TComboBox;
    procedure actCreateFormExecute(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

   TMDIChildEvent = function(FormCalssName: String; ParentApplication: TApplication; ParentForm: TForm): Longint; stdcall;

var
  fmMAIN: TfmMAIN;

implementation

uses MDIBASE;

{$R *.DFM}

procedure TfmMAIN.actCreateFormExecute(Sender: TObject);
var
  DllHandle: THandle;
  ProcAddr: FarProc;
  FMDIChildEvent: TMDIChildEvent;
  intForm: Longint;
  AForm: TfmMDIBase;
begin
  DllHandle := LoadLibrary('MDIDLL');
  ProcAddr := GetProcAddress(DllHandle, 'MDIChildEvent');
  if ProcAddr <> nil then
  begin
    FMDIChildEvent := ProcAddr;
    intForm := FMDIChildEvent(ComboBox1.Text, Application, Self);
    if (intForm > 0) then
    begin
      AForm := TfmMDIBase(intForm);
      AForm.SetValue(TimeToStr(Now));
    end;
  end;
end;

end.
